package cz.moneta.test.dsl.auto.autoapi.setman;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.autoapi.AutoApiEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class SetmanBuilder {
    private final Harness harness;

    public SetmanBuilder(Harness harness) {
        this.harness = harness;
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, AutoApiEndpoint.class, harness);
    }
}
